support  version  EDI  Java